STATFS64,FSTATFS64(2)

NAME
statfs64,fstatfs64 - Get file system statistics

SYNOPSIS

long statfs64 (const char *path, size_t sz, struct statfs64 *buf);

long fstatfs64 (unsigned int fd, size_t sz, struct statfs64 *buf);

DESCRIPTION

statfs64 and fstatfs64 get file system statistics. For statfs, path is the path name of a file in the mounted file system in question. Alternatively, fstatfs can pass a file descriptor in an open file in the fd parameter and get similar information. buf is a statfs pointer structure that contains information about the file system, such as type and free blocks.

RETURN VALUE

statfs64 and fstatfs64 return 0 on success. Otherwise, they return one of the errors listed in the "Errors" section.

ERRORS

EINVAL, EFAULT
    An invalid address for buf was specified.

EBADF
    An invalid file descriptor, fd, was specified. fd is applicable to fstatfs only.

SEE ALSO
stat(2), statvfs(2)

AUTHOR
Niki Rahimi